JDBC42UpdatableResultSet
Date: 2018-05-06

com.mysql.jdbc

## Class JDBC42UpdatableResultSet

- java.lang.Object
- - com.mysql.jdbc.ResultSetImpl
  - - com.mysql.jdbc.UpdatableResultSet
    - - com.mysql.jdbc.JDBC4UpdatableResultSet
      - - com.mysql.jdbc.JDBC42UpdatableResultSet

- All Implemented Interfaces:
    ResultSetInternalMethods, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

      public class JDBC42UpdatableResultSet
      extends JDBC4UpdatableResultSet

- - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.UpdatableResultSet

      `charConverter, inserter, STREAM_DATA_MARKER, updater`

    - ### Fields inherited from class com.mysql.jdbc.ResultSetImpl

      `catalog, columnLabelToIndex, columnNameToIndex, columnToIndexCache, columnUsed, connection, connectionId, currentRow, doingUpdates, EMPTY_SPACE, eventSink, fastClientCal, fastDefaultCal, fetchDirection, fetchSize, fields, firstCharOfQuery, fullColumnNameToIndex, gmtCalendar, hasBuiltIndexMapping, isBinaryEncoded, isClosed, MAX_DIFF_PREC, MIN_DIFF_PREC, nextResultSet, onInsertRow, owningStatement, pointOfOrigin, profileSql, reallyResult, resultCounter, resultId, resultSetConcurrency, resultSetType, retainOwningStatement, rowData, serverInfo, statementUsedForFetchingRows, thisRow, updateCount, updateId, useFastDateParsing, useLegacyDatetimeCode, useUsageAdvisor, warningChain, wasNullFlag, wrapperStatement`

    - ### Fields inherited from interface java.sql.ResultSet

      `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC42UpdatableResultSet(java.lang.String catalog, Field[] fields, RowData tuples, MySQLConnection conn, StatementImpl creatorStmt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getObject(int columnIndex, java.lang.Class<T> type)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `updateObject(int columnIndex, java.lang.Object x)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `updateObject(int columnIndex, java.lang.Object x, int scaleOrLength)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `updateObject(int columnIndex, java.lang.Object x, SQLType targetSqlType)` Support for java.sql.JDBCType/java.sql.SQLType.
    `void` | `updateObject(int columnIndex, java.lang.Object x, SQLType targetSqlType, int scaleOrLength)` Support for java.sql.JDBCType/java.sql.SQLType.
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x, int scaleOrLength)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x, SQLType targetSqlType)` Support for java.sql.JDBCType/java.sql.SQLType.
    `void` | `updateObject(java.lang.String columnLabel, java.lang.Object x, SQLType targetSqlType, int scaleOrLength)` Support for java.sql.JDBCType/java.sql.SQLType.

    - ### Methods inherited from class com.mysql.jdbc.JDBC4UpdatableResultSet

      `getHoldability, getNativeNClob, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getRowId, getRowId, getSQLXML, getSQLXML, isClosed, isWrapperFor, unwrap, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateRowId, updateSQLXML, updateSQLXML`

    - ### Methods inherited from class com.mysql.jdbc.UpdatableResultSet

      `absolute, afterLast, beforeFirst, cancelRowUpdates, checkRowPos, checkUpdatability, deleteRow, first, generateStatements, getConcurrency, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, isUpdatable, last, moveToCurrentRow, moveToInsertRow, next, prev, previous, realClose, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setResultSetConcurrency, syncUpdate, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObjectInternal, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

    - ### Methods inherited from class com.mysql.jdbc.ResultSetImpl

      `arraysEqual, buildIndexMapping, checkClosed, checkColumnBounds, clearNextResult, clearWarnings, close, convertLongToUlong, copy, fastDateCreate, fastTimeCreate, fastTimestampCreate, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getBytes, getBytesSize, getCalendarInstanceForSessionOrNew, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getDoubleInternal, getDoubleInternal, getExceptionInterceptor, getFetchDirection, getFetchSize, getFirstCharOfQuery, getFloat, getFloat, getGmtCalendar, getInstance, getInstance, getInt, getInt, getLong, getLong, getMetaData, getNativeArray, getNativeAsciiStream, getNativeBigDecimal, getNativeBigDecimal, getNativeBinaryStream, getNativeBlob, getNativeByte, getNativeByte, getNativeBytes, getNativeCharacterStream, getNativeClob, getNativeDate, getNativeDate, getNativeDateViaParseConversion, getNativeDouble, getNativeFloat, getNativeInt, getNativeInt, getNativeLong, getNativeLong, getNativeRef, getNativeShort, getNativeShort, getNativeString, getNativeTimestampViaParseConversion, getNativeTimeViaParseConversion, getNativeUnicodeStream, getNativeURL, getNextResultSet, getObject, getObject, getObject, getObject, getObject, getObjectStoredProc, getObjectStoredProc, getObjectStoredProc, getObjectStoredProc, getRef, getRef, getRow, getServerInfo, getShort, getShort, getStatement, getString, getString, getStringInternal, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getUpdateCount, getUpdateID, getURL, getURL, getWarnings, initializeFromCachedMetaData, initializeWithMetadata, populateCachedMetaData, reallyResult, redefineFieldsForDBMD, setBinaryEncoded, setFetchDirection, setFetchSize, setFirstCharOfQuery, setNextResultSet, setOwningStatement, setResultSetType, setServerInfo, setStatementUsedForFetchingRows, setWrapperStatement, toString, updateArray, updateArray, updateClob, updateRef, updateRef, wasNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.sql.ResultSet

      `updateRowId`

- - ### Constructor Detail

    - #### JDBC42UpdatableResultSet

          public JDBC42UpdatableResultSet(java.lang.String catalog,
                                  Field[] fields,
                                  RowData tuples,
                                  MySQLConnection conn,
                                  StatementImpl creatorStmt)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getObject

          public <T> T getObject(int columnIndex,
                        java.lang.Class<T> type)
                      throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `getObject` in interface `java.sql.ResultSet`
      Overrides:
        `getObject` in class `ResultSetImpl`
      Parameters:
        `columnIndex` -
        `type` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(int columnIndex,
                          java.lang.Object x)
                            throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnIndex` -
        `x` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(int columnIndex,
                          java.lang.Object x,
                          int scaleOrLength)
                            throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnIndex` -
        `x` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                          java.lang.Object x)
                            throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnLabel` -
        `x` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                          java.lang.Object x,
                          int scaleOrLength)
                            throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnLabel` -
        `x` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(int columnIndex,
                          java.lang.Object x,
                          SQLType targetSqlType)
                            throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnIndex` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(int columnIndex,
                          java.lang.Object x,
                          SQLType targetSqlType,
                          int scaleOrLength)
                            throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Parameters:
        `columnIndex` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                          java.lang.Object x,
                          SQLType targetSqlType)
                            throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `updateObject` in interface `java.sql.ResultSet`
      Overrides:
        `updateObject` in class `UpdatableResultSet`
      Parameters:
        `columnLabel` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### updateObject

          public void updateObject(java.lang.String columnLabel,
                          java.lang.Object x,
                          SQLType targetSqlType,
                          int scaleOrLength)
                            throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Parameters:
        `columnLabel` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`